import { HeadersModel } from "./headers.model";
export declare class OptionsModel {
    constructor();
    method?: "GET" | "POST" | "PUT" | "DELETE";
    mode?: "no-cors" | "cors" | "same-origin";
    cache?: "default" | "no-cache" | "reload" | "force-cache" | "only-if-cached";
    credentials?: "include" | "same-origin" | "omit";
    headers?: HeadersModel;
    redirect?: "manual" | "follow" | "error";
    referrer?: "no-referrer" | "client";
    body?: string;
    static build(obj: OptionsModel): OptionsModel;
    private static setMethod(obj, model);
    private static setMode(obj, model);
    private static setCache(obj, model);
    private static setCredentials(obj, model);
    private static setRedirect(obj, model);
    private static setReferrer(obj, model);
    private static setter(obj, model, key, defaultValue);
}
